<?php
/**
 * Copyright (c) 2018.
 * Author: Igor Barkov <lopar.4ever@gmail.com>
 * Project name: Battles-Game
 */

ini_set('display_errors', 'On');
error_reporting(E_ALL);
define("GAMEDOMAIN","combats.loc");

/**
 * Классы для работы с базой данных.
 */
require_once('Database/Mysql.php');
require_once('Database/Exception.php');
require_once('Database/Statement.php');
require_once('Database/db.php');

/**
 * Автозагрузка классов.
 */
spl_autoload_register(function ($class_name) {
    include_once 'classes/' . $class_name . '.php';
});
